package org.linlinjava.jz.dto;

import java.util.List;


public class HmNoticeDto {
	
	private List<UserNoticeDto> userNoticeList;//处理同类型不同通知文本的,只有1个（6保姆缺勤打卡，通知管家雇主保姆）

	List<Long> appUserId;//被通知的用户 是hm_app_user的id
	private String title;
	private String content;//通知内容
	private Long employRelationId;// 三者关系id
	private Integer rtype;// 通知类型类型 HmNoticeEnum
	private String noticeUserType;//通知用户类型1，2，3
	/*
	 * 关联业务关系id
		hm_task_question_log 质疑打卡记录
		hm_employ_clock 请假 打卡 缺勤 任务 无法完成
		hm_butler_task_parent 管家拜访类任务完成
		jz_built_list  跟进类任务完成  
		built_list   保姆服务记录差评 雇主拜访完成差评
	 */
	private String rId;// 关联业务id
	private Integer ticketId;//手动创建完结的任务时用到的
	private Long createUserId;// 创建用户，是hm_app_user的id
	private String remark;
	
	private Integer taskSourceType;//创建任务时，任务来源
	
	public static class UserNoticeDto{
		private Long userId;
		private String content;
		public Long getUserId() {
			return userId;
		}
		public void setUserId(Long userId) {
			this.userId = userId;
		}
		public String getContent() {
			return content;
		}
		public void setContent(String content) {
			this.content = content;
		}
		 
		
	}
	
	public List<UserNoticeDto> getUserNoticeList() {
		return userNoticeList;
	}

	public void setUserNoticeList(List<UserNoticeDto> userNoticeList) {
		this.userNoticeList = userNoticeList;
	}

	public Integer getTicketId() {
		return ticketId;
	}

	public void setTicketId(Integer ticketId) {
		this.ticketId = ticketId;
	}

	public List<Long> getAppUserId() {
		return appUserId;
	}

	public void setAppUserId(List<Long> appUserId) {
		this.appUserId = appUserId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Long getEmployRelationId() {
		return employRelationId;
	}

	public void setEmployRelationId(Long employRelationId) {
		this.employRelationId = employRelationId;
	}

	public Integer getRtype() {
		return rtype;
	}

	public void setRtype(Integer rtype) {
		this.rtype = rtype;
	}

	public String getNoticeUserType() {
		return noticeUserType;
	}

	public void setNoticeUserType(String noticeUserType) {
		this.noticeUserType = noticeUserType;
	}

	public String getrId() {
		return rId;
	}

	public void setrId(String rId) {
		this.rId = rId;
	}

	public Long getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Long createUserId) {
		this.createUserId = createUserId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getTaskSourceType() {
		return taskSourceType;
	}

	public void setTaskSourceType(Integer taskSourceType) {
		this.taskSourceType = taskSourceType;
	}
	
	
}
